import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "invoiceeditview": {
            "title": "invoice编辑视图",
            "caption": "发票",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceEditView",
            "viewtag": "01c28e25ad9d42977cb91ee890731b64"
        },
        "contactgridview": {
            "title": "contact表格视图",
            "caption": "联系人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactGridView",
            "viewtag": "0326a502bb574cddc41da4323786dcb5"
        },
        "incidenteditview": {
            "title": "incident编辑视图",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentEditView",
            "viewtag": "06c6da1c8093784a9e76e1ccc52231b7"
        },
        "salesordereditview": {
            "title": "salesorder编辑视图",
            "caption": "订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderEditView",
            "viewtag": "0ff3eacd51054572cf899247b1c57018"
        },
        "quotegridview": {
            "title": "quote表格视图",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteGridView",
            "viewtag": "14110058a29397ea9ac7d4e86a3994ca"
        },
        "leadgridview": {
            "title": "lead表格视图",
            "caption": "潜在顾客",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadGridView",
            "viewtag": "15d12c1173fcb6e742b6a6d92cbc53ed"
        },
        "leadpickupview": {
            "title": "lead数据选择视图",
            "caption": "潜在顾客",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadPickupView",
            "viewtag": "1bc48b15dbe69c5f30dafe489f58aacb"
        },
        "accountaccountinfo": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountAccountInfo",
            "viewtag": "1d3b94223a5d3f8ab1d2fe334c8c4afd"
        },
        "ibizlistgridview": {
            "title": "list表格视图",
            "caption": "市场营销列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListGridView",
            "viewtag": "24a93674ec4c976c08902a3e95421ca6"
        },
        "activitypointereditview": {
            "title": "activitypointer编辑视图",
            "caption": "活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerEditView",
            "viewtag": "24e222a530526aab94ed4ed22cfedf9a"
        },
        "accountpickupview": {
            "title": "account数据选择视图",
            "caption": "客户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupView",
            "viewtag": "29bfcd628ab25e297248ff0524d12908"
        },
        "accountsummary": {
            "title": "客户摘要",
            "caption": "客户摘要",
            "viewtype": "DEPORTALVIEW9",
            "viewmodule": "Base",
            "viewname": "AccountSummary",
            "viewtag": "2becf7bda3a6d70cbe9a4e254093e84e"
        },
        "leadeditview": {
            "title": "lead编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadEditView",
            "viewtag": "2e17cb1d009dd49ac529319ac15319cd"
        },
        "accountinfo": {
            "title": "客户信息",
            "caption": "客户信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo",
            "viewtag": "2e9c7792c3a728896ca8902634f71983"
        },
        "salesliteratureeditview": {
            "title": "salesliterature编辑视图",
            "caption": "销售宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureEditView",
            "viewtag": "303fcfed216ca770612be2c0a97be789"
        },
        "incidentgridview": {
            "title": "incident表格视图",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentGridView",
            "viewtag": "3a665de6a3970b95fde436c0fea4b1df"
        },
        "lettereditview": {
            "title": "letter编辑视图",
            "caption": "信件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "LetterEditView",
            "viewtag": "3d538df4ca389d372347f7b53d67269f"
        },
        "faxeditview": {
            "title": "fax编辑视图",
            "caption": "传真",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "FaxEditView",
            "viewtag": "3f78dcc732a7a8ba6d959dcf6007b225"
        },
        "activitypointergridview": {
            "title": "活动",
            "caption": "活动",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerGridView",
            "viewtag": "45fdc8ee4d1401d2d625e80177395ddc"
        },
        "producteditview": {
            "title": "product编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductEditView",
            "viewtag": "573c48d02ab5eef37c4cf701be87fcb5"
        },
        "contactabstracteditview9_editmode": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW9",
            "viewmodule": "Base",
            "viewname": "ContactAbstractEditView9_EditMode",
            "viewtag": "5b2c286488252f647dbe00fcf7f57abd"
        },
        "accountgridview": {
            "title": "account表格视图",
            "caption": "客户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountGridView",
            "viewtag": "5c7e90ccfaeb49b5bd84ae6c17b479e3"
        },
        "opportunitygridview": {
            "title": "opportunity表格视图",
            "caption": "商机",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityGridView",
            "viewtag": "5f8f689d5dccc3db6d2b74a24a8b24ef"
        },
        "contactdetailinfoeditview9": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW9",
            "viewmodule": "Base",
            "viewname": "ContactDetailInfoEditView9",
            "viewtag": "60093dd36f07238d7a7e72e9ed372942"
        },
        "goalgridview": {
            "title": "goal表格视图",
            "caption": "目标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalGridView",
            "viewtag": "631a4276161c551802f3aaf4bd7e607c"
        },
        "accountedit_accountinfo": {
            "title": "账户信息",
            "caption": "账户信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_AccountInfo",
            "viewtag": "688201ee5642d41628dbf4deba002d17"
        },
        "transactioncurrencypickupgridview": {
            "title": "transactioncurrency选择表格视图",
            "caption": "货币",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyPickupGridView",
            "viewtag": "6d8a2615030eed5779caea69f7f001aa"
        },
        "accounteditview": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEditView",
            "viewtag": "6e18ac74e5685439110f9b4e534ee005"
        },
        "accountintroduction": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountIntroduction",
            "viewtag": "73bb9f7e653384ca09f8bbbfd580d892"
        },
        "goaleditview": {
            "title": "goal编辑视图",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalEditView",
            "viewtag": "7877d7e7e55fe21f48e8382e07579f33"
        },
        "opportunityeditview": {
            "title": "opportunity编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityEditView",
            "viewtag": "7bf35293fd1d9db7816755a74c4d575e"
        },
        "leadpickupgridview": {
            "title": "lead选择表格视图",
            "caption": "潜在顾客",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadPickupGridView",
            "viewtag": "7d00f63c306adf3537efeabb3326095d"
        },
        "centeralportal": {
            "title": "仪表盘",
            "caption": "仪表盘",
            "viewtype": "APPPORTALVIEW",
            "viewmodule": "Ungroup",
            "viewname": "CenteralPortal",
            "viewtag": "7FCD2E75-E34A-493C-922E-8AE47BCE08CA"
        },
        "contactpickupgridview": {
            "title": "contact选择表格视图",
            "caption": "联系人",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactPickupGridView",
            "viewtag": "85781d107d628dfc6cdf9693797f073e"
        },
        "taskquickcreate": {
            "title": "快速新建：任务",
            "caption": "快速新建：任务",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "TaskQuickCreate",
            "viewtag": "893e62d6fbdc4580de7e3e802aec9108"
        },
        "central": {
            "title": "企业中心",
            "caption": "企业中心",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "Central",
            "viewtag": "8b173077897bf865fe035e56073b763d"
        },
        "pricelevelpickupview": {
            "title": "pricelevel数据选择视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupView",
            "viewtag": "8b806fb12589b2fc17d1bb90f4b5422e"
        },
        "salesliteraturegridview": {
            "title": "salesliterature表格视图",
            "caption": "销售宣传资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureGridView",
            "viewtag": "90b48a107932f432e0dde42791a51887"
        },
        "accountaddress": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountAddress",
            "viewtag": "916febbb65be1c54dd42ccb9914fe973"
        },
        "contactbyaccount": {
            "title": "联系人",
            "caption": "联系人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactByAccount",
            "viewtag": "9224b0b14d2d99014e051f8035ba5cbf"
        },
        "contactabstracteditview9": {
            "title": "联系人编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW9",
            "viewmodule": "Base",
            "viewname": "ContactAbstractEditView9",
            "viewtag": "928f354b1e67a8b855b7f19f485299b0"
        },
        "serviceappointmenteditview": {
            "title": "serviceappointment编辑视图",
            "caption": "服务活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "ServiceAppointmentEditView",
            "viewtag": "99d4a530c13b03a98cd143f341394354"
        },
        "contacteditview": {
            "title": "contact编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditView",
            "viewtag": "9a96ebf2e57358b3590b9d4479edb77a"
        },
        "appointmenteditview": {
            "title": "appointment编辑视图",
            "caption": "约会",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AppointmentEditView",
            "viewtag": "a50134133db91e46c8434ad0ebff22c7"
        },
        "emaileditview": {
            "title": "email编辑视图",
            "caption": "电子邮件",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "EmailEditView",
            "viewtag": "a5213905238dbc5d8e1a505029105cc9"
        },
        "ibizlisteditview": {
            "title": "list编辑视图",
            "caption": "市场营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListEditView",
            "viewtag": "a62e766e54ec0b259071463523c98493"
        },
        "accountoptionview": {
            "title": "客户选项操作视图",
            "caption": "客户",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountOptionView",
            "viewtag": "a69ba7dd2f8bdac8a3c733dcc79c0ee5"
        },
        "phonecalleditview": {
            "title": "phonecall编辑视图",
            "caption": "电话联络",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "PhoneCallEditView",
            "viewtag": "a95d7d9111bc13a8b73a11ee1e4ff92a"
        },
        "appointmentquickcreate": {
            "title": "约会",
            "caption": "约会",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AppointmentQuickCreate",
            "viewtag": "aa79d35850f36fbc1a5085353ecd5af5"
        },
        "quoteeditview": {
            "title": "quote编辑视图",
            "caption": "报价单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEditView",
            "viewtag": "ad6abf83dc1bc466b988194cd868d98a"
        },
        "productgridview": {
            "title": "product表格视图",
            "caption": "产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductGridView",
            "viewtag": "b38bc0256ecd5be1a58a3c2210a98d05"
        },
        "campaignresponseeditview": {
            "title": "campaignresponse编辑视图",
            "caption": "市场活动响应",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "CampaignResponseEditView",
            "viewtag": "b3cfac5362b3bfb70d1471932f120fa5"
        },
        "contactpickupview": {
            "title": "contact数据选择视图",
            "caption": "联系人",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "ContactPickupView",
            "viewtag": "b6b6215e439e78cdf6959b6f45bd7927"
        },
        "activitypointerbyparentkey": {
            "title": "活动",
            "caption": "活动",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerByParentKey",
            "viewtag": "bae77557d2f7a7852b634dc5d5a93435"
        },
        "accountdistribution": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountDistribution",
            "viewtag": "c607e5bc2c07ab2aca084e275ce677b7"
        },
        "competitorgridview": {
            "title": "competitor表格视图",
            "caption": "竞争对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorGridView",
            "viewtag": "d1c35f3c52010e1428d7dc1a6bc82f63"
        },
        "transactioncurrencypickupview": {
            "title": "transactioncurrency数据选择视图",
            "caption": "货币",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "TransactionCurrencyPickupView",
            "viewtag": "da3f8c1f20f440f3df54d6c13a8de586"
        },
        "pricelevelpickupgridview": {
            "title": "pricelevel选择表格视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupGridView",
            "viewtag": "dd10cba0f2ded085120f7dc8eccc7c10"
        },
        "salesordergridview": {
            "title": "salesorder表格视图",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderGridView",
            "viewtag": "dfc0051ae4813115e03f3d095f8cd7d3"
        },
        "invoicegridview": {
            "title": "invoice表格视图",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceGridView",
            "viewtag": "e0aef8c0d1f1ae28f628a0541b118961"
        },
        "accountcontactsetting": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountContactSetting",
            "viewtag": "e38e7b53a449e0f112cb545d2c5d4b85"
        },
        "contactoptionview": {
            "title": "联系人选项操作视图",
            "caption": "联系人",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactOptionView",
            "viewtag": "e404dc93e70d6284d4e1a083017625ed"
        },
        "accountedit_address": {
            "title": "地址信息",
            "caption": "地址信息",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEdit_Address",
            "viewtag": "e4335da0a7c14a65376eecaabb771fd7"
        },
        "accountpickupgridview": {
            "title": "account选择表格视图",
            "caption": "客户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupGridView",
            "viewtag": "ef9fea872a6a21e7566033fafcc0ccb5"
        },
        "taskeditview": {
            "title": "task编辑视图",
            "caption": "任务",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "TaskEditView",
            "viewtag": "f84a705f33385d5999fcfb69124932d4"
        },
        "accountmajorcontact": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountMajorContact",
            "viewtag": "fb06f2c1cea1ac2a5a70c20f4a277ae5"
        },
        "competitoreditview": {
            "title": "competitor编辑视图",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorEditView",
            "viewtag": "fc2117de593df9cc982bd802cbdb2154"
        },
        "contacttabexpview": {
            "title": "联系人分页导航视图",
            "caption": "联系人",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "ContactTabExpView",
            "viewtag": "fcdb236b65d78c4a8ae64e74f9483a63"
        }
    }];
});