/**
 * ByAccount 部件模型
 *
 * @export
 * @class ByAccountModel
 */
export default class ByAccountModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof ByAccountDashboard_sysportlet7_listMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'telephone1',
			},
			{
				name: 'fullname',
			},
			{
				name: 'emailaddress1',
			},
			{
				name: 'mobilephone',
			},
			{
				name: 'srfkey',
				prop: 'contactid',
				dataType: 'GUID',
			},
			{
				name: 'srfmajortext',
				prop: 'fullname',
				dataType: 'TEXT',
			},
			{
				name: 'defaultpricelevelid',
				prop: 'defaultpricelevelid',
				dataType: 'PICKUP',
			},
			{
				name: 'preferredequipmentid',
				prop: 'preferredequipmentid',
				dataType: 'PICKUP',
			},
			{
				name: 'transactioncurrencyid',
				prop: 'transactioncurrencyid',
				dataType: 'PICKUP',
			},
			{
				name: 'slaid',
				prop: 'slaid',
				dataType: 'PICKUP',
			},
			{
				name: 'originatingleadid',
				prop: 'originatingleadid',
				dataType: 'PICKUP',
			},
			{
				name: 'preferredserviceid',
				prop: 'preferredserviceid',
				dataType: 'PICKUP',
			},
			{
				name: 'contact',
				prop: 'contactid',
				dataType: 'FONTKEY',
			},
      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}